- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3a32ca3c-e8f0-4b19-b069-b274d67081ff
    creation_time: 2023-02-17T12:07:58.957061Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a68f8b79-af21-429b-b6fa-e253457a5804
    creation_time: 2023-02-17T12:07:58.957357Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 20f9c891-9966-493a-bbc3-0c1e8e035e2f
    creation_time: 2023-02-17T12:07:58.957463Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5478de40-8409-485b-ad9f-7a6bfb8fa561
    creation_time: 2023-02-17T12:07:58.957558Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 48da0e8d-39d8-4e68-9f98-e5e7b0953a57
    creation_time: 2023-02-17T12:07:58.957657Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 220d2b5e-1641-490f-80e6-a1f16d674a9b
    creation_time: 2023-02-17T12:07:58.957777Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 91d1cff7-5225-4ec9-8100-5e9e26f01534
    creation_time: 2023-02-17T12:07:58.957891Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound50.c: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound50.c
    file_hash: 0ac0f213d1d000e527ab073eb0dd4288784176d966909606abb71d9dc425fd71
    line: 57
    column: 0
    function: main
  location_invariant:
    string:  (  ( longlong ) 4*A )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

